# $Revision: 1.132 $, $Date: 2008/10/01 19:30:09 $
#
# Conditional build:
%bcond_without	canlock		# - build without Cancel-Lock support
%bcond_without	ssl		# - build without SSL support (snews://)
%bcond_without	uudeview	# - build without uudeview support
#
Summary:	The world's best newsreader
Summary(da.UTF-8):	Verdens bedste nyhedslæser
Summary(de.UTF-8):	Der weltbeste Newsreader
Summary(es.UTF-8):	El mejor lector de news del mundo
Summary(fr.UTF-8):	Le meilleur lecteur de news du monde
Summary(pl.UTF-8):	Łatwy w obsłudze czytnik artykułów news
Summary(pt_BR.UTF-8):	O melhor leitor de notícias do mundo
Summary(tr.UTF-8):	Görüşüne göre dünyanın en iyi haber grubu okuyucusu
Name:		slrn
Version:	0.9.9p1
Release:	1
License:	GPL v2+
Group:		Applications/News
Source0:	http://www.slrn.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	6cc8ac6baaff7cc2a8b78f7fbbe3187f
Source1:	%{name}.1.pl
Source2:	%{name}.desktop
Source3:	%{name}.png
Source4:	%{name}-pull.logrotate
Patch0:		%{name}-keymap.patch
Patch1:		%{name}-user-agent.patch
Patch2:		%{name}-sort_visible_headers.patch
Patch3:		%{name}-home_etc.patch
Patch4:		%{name}-pl.po-update.patch
URL:		http://www.slrn.org/
BuildRequires:	autoconf >= 2.50
%{?with_canlock:BuildRequires:	canlock-devel >= 2a}
BuildRequires:	gettext-devel
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	slang-devel >= 2.0.0
%{?with_uudeview:BuildRequires:	uudeview-devel}
Obsoletes:	slrn-pl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Slrn is an easy to use but powerful full-screen NNTP based newsreader.
It relies extensively on the S-Lang programmer's library for many of
its features. Slrn works particularly well over slow network
connections.

%description -l da.UTF-8
Slrn er en bekvæm og kraftig nyhedslæser. Programmet skylder S-Lang
biblioteket sin funktionalitet. Slrn er godt især ved brug igennem
langsomme netværk forbindelser.

%description -l de.UTF-8
Slrn ist ein einfach zu bedienender und dennoch äußerst
leistungsfähiger Voll-Bildschirm-Newsreader auf NNTP-Basis. Viele
seiner Funktionen bezieht er aus der S-Lang-Programmierer-Library.
Seine besondere Stärke ist die Arbeit über langsame Netzwerke.

%description -l es.UTF-8
Slrn es un lector de news basado en NNTP fácil de usar, pero potente
con pantalla llena. Utiliza la biblioteca de programadores S-Lang para
varias de sus características. Slrn trabaja en especial con conexiones
lentas de red.

%description -l fr.UTF-8
Slrn et un lecteur de news NNTP plein écran facile à utiliser mais
puissant. Il s'appuie beaucoup sur la bibliothèque S-Lang pour ses
caractéristiques. Slrn fonctionne particulièrement bien avec des
connexions réseau lentes.

%description -l pl.UTF-8
Slrn jest wygodnym w obsłudze i ergonomicznym czytnikiem artykułów
news. Swą funkcjonalność program zawdzięcza bibliotece S-Lang. Slrn
znakomicie sprawdza się zwłaszcza na zapchanych i wolnych łączach.

%description -l pt_BR.UTF-8
Slrn é um leitor de notícias baseado em NNTP fácil de usar mas
poderoso com tela cheia. Ele utiliza a biblioteca de programadores
S-Lang para várias das suas características. Slrn trabalha
particularmente bem com conexões lentas de rede.

%description -l tr.UTF-8
Slrn, kullanımı kolay, çok yetenekli, tam ekran bir haber okuyucudur.
Yavaş ağ bağlantılarında gayet iyi çalışır.

%package pull
Summary:	Offline news reading support for slrn
Summary(da.UTF-8):	Programmet udstyrer slrn med offline-egenskaber
Summary(es.UTF-8):	Soporte para lectura de noticias "offline" para slm
Summary(pl.UTF-8):	Program ściągający artykuły z serwera news
Summary(pt_BR.UTF-8):	Suporte para leitura de notícias "offline" para o slrn
Group:		Applications/News
Requires:	%{name}
Obsoletes:	slrn-pl-pull

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.

%description pull -l da.UTF-8
Programmet henter indlæg ned til et lokalt newsspool for at brugeren
kan læse og svare på dem uden at være online.

%description pull -l es.UTF-8
Soporte para lectura de noticias "offline" para slm

%description pull -l pl.UTF-8
Slrnpull umożliwia ściągnięcie artykułów, a następnie czytanie ich bez
konieczności utrzymywania stałego połączenia z serwerem news.

%description pull -l pt_BR.UTF-8
Este pacote provê o slrnpull, que permite a configuração de um pequeno
spool de notícias, para leitura "offline".

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

ln -s autoconf/configure.ac .

%build
%{__autoconf} -B autoconf
%configure \
	INEWS="/usr/bin/inews" \
	SENDMAIL="/usr/lib/sendmail" \
	--enable-inews \
	--enable-mid-cache \
	--enable-setgid-code \
	--enable-spool \
	%{?with_canlock:--with-canlock} \
	--with-slanginc=/usr/include/slang \
	--with-slanglib=%{_libdir} \
	--with-slrnpull=/var/spool/slrnpull \
	%{?with_ssl:--with-ssl} \
	%{?with_uudeview:--with-uu}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/spool/slrnpull/{data,logs,news,out.going/rejects} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/pl/man1} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT/etc/logrotate.d

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/slrn.1
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/slrn-pull
> $RPM_BUILD_ROOT%{_var}/spool/slrnpull/data/active
> $RPM_BUILD_ROOT%{_var}/spool/slrnpull/log
> $RPM_BUILD_ROOT%{_var}/spool/slrnpull/score
install contrib/{cleanscore,slrnrc-conv} $RPM_BUILD_ROOT%{_bindir}

install doc/slrnpull/slrnpull.conf $RPM_BUILD_ROOT%{_var}/spool/slrnpull
install doc/slrn.rc $RPM_BUILD_ROOT%{_sysconfdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc COPYRIGHT README changes.txt contrib/{README,NEWS}.* doc/*.html
%doc doc/{FAQ,FIRST_STEPS,README.*,THANKS,{help,manual,score,slrnfuns}.txt,*.sl}
%attr(755,root,root) %{_bindir}/cleanscore
%attr(755,root,root) %{_bindir}/slrn
%attr(755,root,root) %{_bindir}/slrnrc-conv
%dir %{_datadir}/slrn
%{_datadir}/slrn/slang
%{_mandir}/man1/slrn.1*
%lang(pl) %{_mandir}/pl/man1/slrn.1*
%{_desktopdir}/slrn.desktop
%{_pixmapsdir}/slrn.png
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/slrn.rc

%files pull
%defattr(644,root,root,755)
%doc doc/slrnpull/{README*,SETUP,score,slrn.rc,slrnpull.sh}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/slrn-pull
%attr(2754,root,news) %{_bindir}/slrnpull
%{_mandir}/man1/slrnpull.1*
%defattr(664,news,news,755)
%dir %{_var}/spool/slrnpull
%dir %{_var}/spool/slrnpull/logs
%attr(2775,news,news) %dir %{_var}/spool/slrnpull/data
%verify(not md5 mtime size user) %{_var}/spool/slrnpull/data/active
%attr(2775,news,news) %dir %{_var}/spool/slrnpull/news
%attr(3775,news,news) %dir %{_var}/spool/slrnpull/out.going
%attr(3775,news,news) %dir %{_var}/spool/slrnpull/out.going/rejects
%attr(660,news,news) %ghost %{_var}/spool/slrnpull/log
%config(noreplace) %verify(not md5 mtime size) %{_var}/spool/slrnpull/score
%config(noreplace) %verify(not md5 mtime size) %{_var}/spool/slrnpull/slrnpull.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: slrn.spec,v $
Revision 1.132  2008/10/01 19:30:09  qboosh
- updated to 0.9.9p1

Revision 1.131  2008/08/24 05:58:04  qboosh
- parallel make install is broken, use -j1

Revision 1.130  2008/08/23 21:58:22  qboosh
- ugly lib64 patch replaced by --with-slanginc --with-slanglib configure options
  (default dirs are not sufficient because slang.h is in /usr/include/slang, not /usr/include)

Revision 1.129  2008/08/23 20:34:47  qboosh
- updated to final 0.9.9
- updated pl.po-update patch

Revision 1.128  2008/08/01 12:58:58  hawk
- added lib64 patch, fixes x86_64 build

Revision 1.127  2008/07/25 19:54:08  qboosh
- updated to 0.9.9-pre122
- updated user-agent,sort_visible_headers patches
- removed obsolete config,sharedlibs,search-author,iconv patches

Revision 1.126  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.125  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.124  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.123  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.122  2006/05/27 15:53:45  qboosh
- iconv patch with iso-8859-15 default shows how many broken OE postings are there... :/

Revision 1.121  2006/05/24 18:43:51  qboosh
- added iconv patch from Debian, now it's possible to read UTF-8 using non-UTF locale
- release 2.1

Revision 1.120  2006/03/07 19:42:05  qboosh
- added search-author patch (fixes author search broken in pl1)
- release 2, STBR

Revision 1.119  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.118  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.117  2005/09/18 21:37:33  arekm
- obsoletes: slrn-pl

Revision 1.116  2005/09/16 08:37:41  arekm
- slang2 ready version

Revision 1.115  2005/09/16 07:34:10  arekm
- BR new slang

Revision 1.114  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.113  2004/11/24 21:53:03  qboosh
- no RH in tr summary

Revision 1.112  2004/11/24 21:39:39  qboosh
- updated to 0.9.8.1, updated keymap patch, added pl.po-update patch

Revision 1.111  2004/09/23 11:48:01  kolodko
- change group ownershipgroup for /etc/logrotate.d/*
  news cant't list /etc/logrotate.d/
- added macros in /etc/logrotate.d

Revision 1.110  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.109  2004/03/07 13:26:23  gotar
- _applnkdir -> _desktopdir, release 4

Revision 1.108  2004/02/02 13:32:13  jajcus
- Release: 3
- pass library directories to configure, so it will find libraries even on AMD64

- new bconds

Revision 1.107  2003/11/23 06:48:47  witekfl
- added home_etc.patch with support for HOME_ETC
- rel 2

Revision 1.106  2003/11/12 15:32:06  qboosh
- cleanup, release 1 (SOA#1)

Revision 1.105  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.104  2003/08/26 19:10:44  qboosh
- updated keymap,config,user-agent patches
- removed obsolete ipv6,amfix,locate_by_msgid,ac253,0.9.7.4-* patches
- added sharedlibs patch to allow using shared canlock and uudeview libs
- updated docs

Revision 1.103  2003/08/26 14:40:10  qboosh
- started update to 0.9.8.0, NFY
- ssl enabled by default

Revision 1.102  2003/07/03 13:21:35  trojan
- added gettextize macro

Revision 1.101  2003/06/20 10:05:43  ankry
- md5

Revision 1.100  2003/05/25 06:26:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.99  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.98  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.97  2002/12/28 16:30:03  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.96  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.95  2002/06/29 14:12:50  kloczek
- merge patches from slrn home page:
-- slrn-0.9.7.4-link_subjects.diff -  in version 0.9.7.3, setting new_subject_breaks_threads
   to 2 would tell slrn not to put articles with the same subject into the same thread
   if their References don't match. In version 0.9.7.4, this is broken.
-- slrn-0.9.7.4-mem_leak.diff -  0.9.7.0 introduced an improved scoring syntax that allowed
   grouping of scoring rules. Unfortunately, the code that handles this case leaks memory,
   which has now been noticed and fixed.
-- slrn-0.9.7.4-po.diff - this patch fixes problems in some translations (fr, ko, nl, ru)
   that could cause errors when using them (including crashes). Note that you'll need msgfmt
   (included in the gettext package) when applying this patch, as the Makefile needs to
   rebuild the .gmo files afterwards.
-- slrn-0.9.7.4-popup_win.diff -  The latest version of slrn sometimes displays random
   rubbish at the end of popup window lines. Jurriaan W. Kalkman took care of this.

Revision 1.94  2002/06/29 13:45:22  qboosh
- fixed evil keymap patch: slrn doesn't switch cursor keys to application mode,
  so it must parse its sequences and can't rely only on terminfo kl/kr/ku/kd
- release 3

Revision 1.93  2002/05/28 19:24:56  qboosh
- removed memory leak from ipv6 patch (getaddrinfo() without freeaddrinfo() -
  fix from Pekka Savola <pakkas[at]netcore.fi>)
- allow specify IPv6 numeric address (enclosed in [] brackets)
  and service by name (-h server:service; -p service is still not supported)
- new %%doc
- release 2

Revision 1.92  2002/05/21 23:14:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.91  2002/04/12 04:03:01  gotar
- handling ac2.52/2.53

Revision 1.90  2002/04/11 20:27:12  gotar
- added ssl support conditional,
- removed BuildRequires: inews,
- enabled MsgID cache.

Revision 1.89  2002/04/11 11:38:02  gotar
- fixed passing libdir instead of redefining it.

Revision 1.88  2002/04/11 11:07:02  gotar
- merged summaries and descriptions with slrn-pl,
- BuildRequires: gettext-devel,
- docs cosmetics,
- slrnpull man page moved to it's package,
- release 1, STBR.

Revision 1.87  2002/04/11 09:18:35  gotar
- BuildRequires: inews,
- Obsoletes: slrn-pl-pull for slrn-pull subpackage,
- autoheader don't need options at all,
- fixed logs dir location,
- release 0.5.

Revision 1.86  2002/04/10 17:35:05  gotar
- fixed autoheader invocation; rel 0.4.

Revision 1.85  2002/03/26 12:32:05  baggins
- release 03.
- added olddor to slrn-pull.logrotate
	(some of us has separate partition for logs,
	and logrotate has problems with it)

Revision 1.84  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.83  2002/03/21 22:36:10  qboosh
- added some lost changes to user-agent and ipv6 patches
  (update patches from cvs before changing it!)
- ac 2.53 compatibility: patch and autoheader call
- release 0.2

Revision 1.82  2002/03/15 20:50:52  migo
- up to 0.9.7.4
- removed unneeded patches
- release 0.1 - somebody should review it...

Revision 1.81  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.80  2002/02/12 01:09:51  kloczek
- release 8.

Revision 1.79  2002/02/11 12:07:38  gotar
- fixed es description.

Revision 1.78  2002/01/18 02:14:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.77  2002/01/16 23:05:32  kloczek
- merge translations from Conectiva.

Revision 1.76  2002/01/12 01:08:41  bacza
- release 7, STBR

Revision 1.75  2002/01/12 01:06:02  bacza
- when searching article by message-id (esc-l), slrn now accepts also leading
  "news:" string. (e.g. "article@message.id" or "news:article@message.id")

Revision 1.74  2002/01/12 00:51:23  bacza
- added feature of displaying "visible_headers" in specific order

Revision 1.73  2002/01/11 22:27:16  bacza
- many, many corrections to the Polish translation of slrn

Revision 1.72  2002/01/11 21:49:15  bacza
- added recent bugfixes from slrn.org
- fixed untranslated gettext message ("find same subject" command)

Revision 1.71  2002/01/11 21:18:02  bacza
- removed obsolete patches (slrn-etc.patch, slrn-empty.patch)

Revision 1.70  2002/01/04 08:41:35  undefine
- release 6, STBR

Revision 1.69  2002/01/04 08:39:27  undefine
- added cleanscore,slrnrc-conv from contrib(usefull)
- adapterized

Revision 1.68  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.67  2001/12/18 04:29:59  gotar
- g+sw for %{_var}/spool/slrnpull/data dir (active.tmp),
- %verify flags for %{_var}/spool/slrnpull/data/active,
- added %{_var}/spool/slrnpull/score %config file,
- release 5.

Revision 1.66  2001/12/13 22:27:05  gotar
- extended group's permissions,
- release 4.

Revision 1.65  2001/12/13 19:22:19  kloczek
- release 3.

Revision 1.64  2001/12/13 03:09:43  gotar
- cosmetics.

Revision 1.63  2001/12/07 22:13:14  gotar
- added some dirs/files in /var/spool/slrnpull (slrn-pull subpackage),
- added logrotate rule for /var/spool/slrnpull/log (a. a.),
- release 2.

Revision 1.62  2001/11/24 01:49:50  kloczek
- back to rel 1.

Revision 1.61  2001/11/24 01:41:11  kloczek
- relase 2.

Revision 1.60  2001/11/23 20:25:36  ankry
- changed Source0 URL to a working one.

Revision 1.59  2001/11/23 19:44:38  qboosh
- 0.9.7.3
- updated config,ipv6,user-agent patches
- amfix patch for automake 1.5

Revision 1.58  2001/10/20 16:51:42  migo
- added small patch (workaround for segfault)

Revision 1.57  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.56  2001/08/28 19:14:51  gotar
- changed %{_var}/spool/slrnpull/out.going perm to 3775,
- release 2.

Revision 1.55  2001/08/21 21:32:55  qboosh
- rebuild configure, use %%configure (to enable IPv6 support)

Revision 1.54  2001/08/21 18:38:20  migo
- updated to 0.9.7.2
- use configure2_13
- use configure option to build slrnpull

Revision 1.53  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.52  2001/07/01 09:03:40  gotar
- added missingok flag for %{_sysconfdir}/slrn.rc file.

Revision 1.51  2001/06/19 12:31:37  gotar
- spec cleanups.

Revision 1.50  2001/06/10 21:12:44  qboosh
- 0.9.7.1, updated ipv6, keymap, config, user-agent, etc patches
- workaround for autodetecting inews and sendmail paths

Revision 1.49  2001/03/30 22:33:59  qboosh
- fixed user-agent toy
- more docs

Revision 1.48  2001/03/30 17:20:46  qboosh
- updated to 0.9.7.0a, updated Source0 URL, removed obsolete patches
- updated ipv6 (needs testing!), config, keymap patches
- slrn.rc moved to /etc, added %verify(not size mtime md5)

Revision 1.47  2001/01/30 01:12:17  kloczek
- fixed installing icon and desktop file in %install.

Revision 1.46  2001/01/30 00:55:27  kloczek
- added desktop file and icons (based on icon from MDK),
- added many bug fix and security fix (pl4 patch) from the slrn team,
- merged buffer patch from rawhide with more possible buffer overflows,
- removed base64 patch (obsoleted by pl4 patch).

Revision 1.45  2001/01/29 13:45:15  baggins
- release 3
- fixed libdir/datadir in config patch

Revision 1.44  2000/09/28 14:42:38  kloczek
- rmove gzipping man pages.

Revision 1.43  2000/09/28 12:11:08  baggins
- release 2
- commented out broken home_etc patch

Revision 1.42  2000/09/19 15:32:32  baggins
- updated IPv6 stuff

Revision 1.41  2000/09/18 07:07:08  kloczek
- updated to 0.9.6.3.
FIXME: ipv6 patch must be updated.

Revision 1.40  2000/09/09 22:40:09  kloczek
- adapterized.

Revision 1.39  2000/09/09 20:30:36  mkochano
- Release 9.
- slrn.rc marked as %config(noreplace).

Revision 1.38  2000/09/06 19:57:22  baggins
- release 8
- fixed bogus error message when connecting to IPv6 server (ipv6-connect patch)

Revision 1.37  2000/09/05 20:43:24  kloczek
- spec adapterized.

Revision 1.36  2000/09/05 18:22:55  baggins
- release 7
- added IPv6 patch

Revision 1.35  2000/06/19 09:14:25  zagrodzki
- release 6
- fixed keymaps.patch

Revision 1.34  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/04/21 02:13:17  kloczek
- release 5 (to allow update from RH 6.2),
- added config patch:
  - enable cache message-ids during a session,
  - set SLRN_INEWS_PROGRAM to "/usr/bin/inews -S -h",
  - set NNTPSERVER_FILE to "/etc/nntpserver",
  - set SLRNPULL_ROOT_DIR to "/var/spool/slrnpull",
  - set SLRNPULL_USE_SETGID_POSTS to 1,
- 2754/root.news on slrnpull.

Revision 1.31  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.29  2000/03/26 09:17:45  waszi
- added home_etc patch

Revision 1.28  2000/01/19 21:40:03  kloczek
- cosmetics.

Revision 1.27  2000/01/18 15:33:12  baggins
- added base64 patch

Revision 1.26  2000/01/14 10:59:00  waszi
- added pl man page

Revision 1.25  1999/12/23 22:50:35  waszi
- updated to 0.9.6.2

Revision 1.24  1999/12/20 10:32:31  waszi
- updated to 0.9.6.0

Revision 1.23  1999/12/17 15:03:59  kura
- added URL

Revision 1.22  1999/12/02 12:33:23  kloczek
-  bump release to 3 (to allow upgrade from RH).

Revision 1.21  1999/11/08 16:19:51  kura
fixed pl translations

Revision 1.20  1999/11/06 06:47:05  kloczek
- release 2,
- added DESTDIR style %install (DESTDIR patch),
- aded keymap patch which replaces hardcoded terminal sequences by reading
  terminal database),
- added installing slrn macros in %%{_datadir}/slrn,
- added passing LDFLAGS="-s" to %%configure environment in %build instead
  stripping in %install.

Revision 1.19  1999/08/01 20:58:26  kloczek
- release 1.

Revision 1.18  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.17  1999/07/16 14:18:38  kloczek
- update to 0.9.5.7,
- build from bzipped2 source tar ball.

Revision 1.16  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 24 1999 Michał Kuratczyk <kura@pld.org.pl>
  [0.9.5.5-2]
- added Group(pl)
- added gzipping documentation and man pages

* Thu Sep 10 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.5.3-1]
- removed doc/INSTALL from %doc.

* Thu Sep 3 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [0.9.5.2-1]
- added pl translation,
- allow building from non root account,
- added slrnpull package.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- updated from 0.9.3.2 to 0.9.4.3

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
